.mktoLabel,
label[for^='mktoRadio'],
label[for^='mktoCheckbox'] {
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 4px;
  justify-content: start;
  align-content: center;
  font-size: 0.8rem;
  text-transform: uppercase;
  font-weight: 600;
  color: #135050bf;
  padding-bottom: 0;
  height: 1rem;
  letter-spacing: 0.3px;
}

.mktoLabel.mktoAsterix,
label[for^='mktoRadio'].mktoAsterix,
label[for^='mktoCheckbox'].mktoAsterix {
  order: 2;
}

label[for^='mktoRadio'],
label[for^='mktoCheckbox'] {
  display: inline-block;
  float: left;
}

label[for^='mktoRadio']:first-of-type {
}

.mktoLabel .mktoAsterix {
  order: 2;
}

.mktoFormRow {
  position: relative;
  grid-column: 1 / -1;
  height: fit-content;
}

.mktoFormRow:has(input[type='hidden']) {
  display: none;
}

.mktoFieldWrap {
  margin-bottom: 8px;
}
.mktoFieldWrap .mktoHtmlText,
.mktoFieldWrap label#LblOpt_In_Explicit__c {
  font-size: 0.75rem;
  padding-left: 0.5rem;
  @media (min-width: 400px) {
    min-width: 315px;
  }
}

#LblWebsite_Grader_URL_Domain__c .mktoAsterix {
  display: none;
}

#LblWebsite_Grader_URL_Domain__c::after {
  content: '(For best results, use a fully qualified address. ex: https://www.fullstory.com)';
  text-transform: initial;
  font-size: 0.9em;
  line-height: 1rem;
  grid-column: 1;
  grid-row: 2;
}

.mktoFieldWrap label#LblOpt_In_Explicit__c {
  display: block;
  text-transform: none;
  font-weight: 300;
  line-height: 1.35;
  margin-bottom: 0;
  padding-bottom: 0;
  padding-right: 0;
  height: fit-content;
}

.mktoFieldWrap label#LblOpt_In_Explicit__c a {
  font-weight: inherit;
  color: inherit !important;
}

.mktoFieldWrap label#LblOpt_In_Explicit__c .mktoAsterix {
  display: none;
}

.mktoFieldWrap label#LblDemo_Form_Comments__c .mktoAsterix {
  display: none;
}

input[type='checkbox'].mktoField {
  appearance: none;
  width: 16px !important;
  height: 16px !important;
  transform: scale(1) !important;
  margin: 0 !important;
  padding: 0 !important;
  border: 1px solid #135050bf;
  border-radius: 4px;
  position: relative;
}
#LblOpt_In_Explicit__c > a,
#LblOpt_In_Explicit__c > a:visited,
.mktoFieldWrap.white-override a,
.mktoFieldWrap.white-override a:visited {
  color: #9e36f1;
  text-decoration: underline;
}

input[type='checkbox'].mktoField.white-override {
  background-color: white;
  border-color: white;
}

input[type='checkbox'].mktoField.white-override:checked {
  background-color: white;
  border-color: white;
}
input[type='checkbox'].mktoField.white-override:checked::after {
  content: '';
  position: absolute;
  left: 5px;
  top: 2px;
  width: 2px;
  height: 7px;
  border: solid #135050bf;
  border-width: 0 2px 2px 0;
  transform: rotate(34deg);
}

input[type='checkbox'].mktoField:checked {
  background-color: #135050bf;
  border-color: #135050bf;
}

input[type='checkbox'].mktoField:checked::after {
  content: '';
  position: absolute;
  left: 5px;
  top: 2px;
  width: 2px;
  height: 7px;
  border: solid white;
  border-width: 0 2px 2px 0;
  transform: rotate(34deg);
}

input[type='radio'],
input[type='checkbox'] {
  height: unset;
  display: inline-block;
  width: 16px !important;
  float: left;
  clear: left;
}

.mktoField {
  position: relative;
  color: #135050bf;
  font-size: 0.85rem;
  width: 100%;
  padding: 0.5rem;
  border: 1px solid #135050;
  border-radius: 6px;
  box-sizing: border-box;
  height: 2.5rem;
}

.mktoField.mktoInvalid {
  border: 1px solid #e75d5b;
}

/* Not worth time for "touched" right now
.mktoField.mktoInvalid:focus-visible {
  border: 2px solid #e75d5b !important;
  outline: none;
} */

.indicates-required {
  display: none;
}
.mktoButtonRow {
  grid-column: 1 / -1;
}

.mktoButton {
  background-color: #07c799;
  font-weight: 600;
  color: #fff;
  font-size: 16px;
  text-align: center;
  text-transform: uppercase;
  line-height: 20px;
  cursor: pointer;
  width: 100%;
  height: 56px;
  border: 0;
  border-radius: 6px;
  transition: background-color 300ms ease-in-out;
}

.mktoButton:hover {
  background-color: #11ab85;
  transition: all 100ms;
  opacity: 1;
}

.mktoErrorMsg {
  position: absolute;
  font-size: 0.75rem;
  font-weight: 400;
  color: #e75d5b;
  line-height: 0.75rem;
  bottom: -7px;
  left: 0;
  padding: 0;
  margin: 0;
}

.mktoForm {
  opacity: 1;
}

.mktoForm .mktoField {
  font-size: 15px;
}

#ValidMsg {
  position: relative !important;
  font-size: 1.2rem;
}

.mktoFormRow select {
  -webkit-appearance: none !important;
  appearance: none !important;
  background-image: url(/images/chevron-down-evergreen.svg);
  background-position: right 0.5rem center;
  background-size: 12px 15px;
  background-repeat: no-repeat;
  padding: 0.5rem;
  color: #135050bf;
}

.mktoFormRow:has(div[class*='mktoPlaceholderProduct_of_Interest__c']) {
  display: none;
}

.mktoFormRow:has(input[id='Opt_In_Explicit__c']) .mktoFieldWrap {
  display: grid;
  grid-template-columns: 1.1rem 0 minmax(200px, auto) 0 0;
  justify-items: start;
  align-items: start;
}

.mktoFormRow:has(input[id='Opt_In_Explicit__c']) .mktoFieldWrap label[for='Opt_In_Explicit__c'] {
  grid-row: 1;
  grid-column: 3;
  margin-top: -3px;
}

.mktoFormRow:has(input[id='Opt_In_Explicit__c']) .mktoFieldWrap .mktoCheckboxList {
  grid-row: 1;
  grid-column: 1;
}

@media (max-width: 767px) {
  .mktoFormRow:has(input[type='radio']),
  .mktoFormRow:has(input[type='checkbox']) {
    float: left;
    clear: both;
  }
  input[type='radio'],
  input[type='checkbox'] {
    margin-top: 4px;
  }
}

@media (min-width: 768px) {
  [id^='mktoForm_'] {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 0.6rem;
    grid-row-gap: 0.325rem;
    width: 100%;
  }

  .mktoFormRow:has(input[name='FirstName']),
  .mktoFormRow:has(input[name='LastName']) {
    grid-column: span 1;
  }
}

#mktoForm_1796 {
  .mktoFormRow {
    margin-bottom: 0.5rem;
  }

  .mktoLabel {
    line-height: 1.3;
    margin-bottom: 0.25rem;
  }

  div:has(.mktoCheckboxList) .mktoLabel,
  div:has(.mktoRadioList) .mktoLabel {
    margin-bottom: 0.5rem;
    height: unset;
  }

  label[for^='mktoRadio'],
  label[for^='mktoCheckbox'] {
    line-height: 1;
    margin: 0 0 0.5rem 0.5rem;
  }
}

.mktoFieldWrap > .mktoHtmlText {
  line-height: 1rem;
  padding-left: 0;
}
